Name:      perl-CPAN-Meta-Requirements
Version:   2.140
Release:   419 
Summary:   A set of version requirements for a CPAN dist
License:   GPL+ or Artistic
URL:       https://metacpan.org/release/CPAN-Meta-Requirements
Source0:   https://cpan.metacpan.org/authors/id/D/DA/DAGOLDEN/CPAN-Meta-Requirements-%{version}.tar.gz
BuildArch: noarch

Provides:  perl(CPAN::Meta::Requirements) = 2.140000
BuildRequires:  perl-interpreter perl-generators perl(ExtUtils::MakeMaker) perl(Test::More) coreutils findutils make
Requires:  perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:  perl(B) perl(version) >= 0.88

%description
A CPAN::Meta::Requirements object models a set of version constraints like those specified in the META.yml 
or META.json files in CPAN distributions, and as defined by CPAN::Meta::Spec; It can be built up by adding 
more and more constraints, and it will reduce them to the simplest representation.
Logically impossible constraints will be identified immediately by thrown exceptions.

%package help
Summary:   Documents for %{name}
Buildarch: noarch
Requires:  man info

%description help
Man page and other related documents for %{name}.

%prep
%autosetup -n CPAN-Meta-Requirements-%{version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PERLLOCAL=1 NO_PACKLIST=1 UNINST=0
%make_build

%install
%make_install
%{_fixperms} -c %{buildroot}

%check
make test

%pre

%preun

%post

%postun

%files
%defattr(-,root,root)
%license LICENSE
%doc Changes perlcritic.rc README
%{perl_vendorlib}/*

%files help
%defattr(-,root,root)
%doc CONTRIBUTING.mkdn
%{_mandir}/*/*

%changelog
* Tue Sep 3 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.140-419 
- Package init
